Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dao
Interface MessageExchangeDAO

All Known Implementing Classes:
  MessageExchangeDaoImpl, MessageExchangeDAOImpl, MessageExchangeDAOImpl

    public interface MessageExchangeDAO

Data access object for a message exchange.

Field Summary
`static char` | `DIR_BPEL_INVOKES_PARTNERROLE`
`static char` | `DIR_PARTNER_INVOKES_MYROLE`

Method Summary
`MessageDAO` | `createMessage(javax.xml.namespace.QName type)` Create a new message associated with this message-exchange
`MessageExchange.AckType` | `getAckType()`
`javax.xml.namespace.QName` | `getCallee()` Get the "callee"--the id of the service being invoked in a myRole exchange.
`java.lang.String` | `getChannel()` Get the response channel.
`java.lang.String` | `getCorrelationStatus()`
`java.util.Date` | `getCreateTime()` Creation time of the message exchange
`char` | `getDirection()` Get the direction of the message exchange.
`org.w3c.dom.Element` | `getEPR()`
`MessageExchange.FailureType` | `getFailureType()`
`javax.xml.namespace.QName` | `getFault()`
`java.lang.String` | `getFaultExplanation()`
`ProcessInstanceDAO` | `getInstance()`
`InvocationStyle` | `getInvocationStyle()` Get the invocation style.
`java.lang.String` | `getMessageExchangeId()` Instance id of the message exchange.
`java.lang.String` | `getOperation()` Get the operation name of this message exchange.
`PartnerLinkDAO` | `getPartnerLink()`
`int` | `getPartnerLinkModelId()` Get the model id for the partner link to which this message exchange relates.
`java.lang.String` | `getPartnersKey()` Get the the partner's identifier for this message exchange.
`MessageExchange.MessageExchangePattern` | `getPattern()`
`java.lang.String` | `getPipedMessageExchangeId()` Gets the message exchange that has been piped with this one in a process to process interaction.
`javax.xml.namespace.QName` | `getPipedPID()`
`javax.xml.namespace.QName` | `getPortType()` The qualified name of the WSDL port type.
`ProcessDAO` | `getProcess()` Get the process associate with this message exchange.
`java.lang.String` | `getProperty(java.lang.String key)`
`java.util.Set<java.lang.String>` | `getPropertyNames()`
`MessageDAO` | `getRequest()` Get the input message.
`MessageDAO` | `getResponse()` Get output message (could be fault message)
`MessageExchange.Status` | `getStatus()` Get state of last message sent/received.
`long` | `getTimeout()`
`void` | `release(boolean doClean)`
`void` | `setAckType(MessageExchange.AckType ackType)`
`void` | `setCallee(javax.xml.namespace.QName callee)` Set the "callee"--the id of the service being invoked in a myRole exchange.
`void` | `setChannel(java.lang.String string)` Set the response channel.
`void` | `setCorrelationStatus(java.lang.String cstatus)`
`void` | `setEPR(org.w3c.dom.Element epr)`
`void` | `setFailureType(MessageExchange.FailureType failureType)`
`void` | `setFault(javax.xml.namespace.QName faultType)`
`void` | `setFaultExplanation(java.lang.String explanation)`
`void` | `setInstance(ProcessInstanceDAO dao)`
`void` | `setInvocationStyle(InvocationStyle invocationStyle)` Set the invocation style.
`void` | `setOperation(java.lang.String opname)`
`void` | `setPartnerLink(PartnerLinkDAO plinkDAO)`
`void` | `setPartnerLinkModelId(int modelId)` Set the model id for the partner link to which this message exchange relates
`void` | `setPartnersKey(java.lang.String correlationId)` Set the correlation identifier/client id
`void` | `setPattern(MessageExchange.MessageExchangePattern pattern)`
`void` | `setPipedMessageExchangeId(java.lang.String pipedMexId)`
`void` | `setPipedPID(javax.xml.namespace.QName pipedPid)`
`void` | `setPortType(javax.xml.namespace.QName porttype)` Set the port type.
`void` | `setProcess(ProcessDAO process)`
`void` | `setProperty(java.lang.String key, java.lang.String value)`
`void` | `setRequest(MessageDAO msg)` Creates an input message DAO.
`void` | `setResponse(MessageDAO msg)` Creates an output message DAO.
`void` | `setStatus(MessageExchange.Status status)` Set state of last message sent/received.
`void` | `setTimeout(long timeout)`

Field Detail

### DIR_BPEL_INVOKES_PARTNERROLE

    static final char DIR_BPEL_INVOKES_PARTNERROLE

See Also:
  Constant Field Values

### DIR_PARTNER_INVOKES_MYROLE

    static final char DIR_PARTNER_INVOKES_MYROLE

See Also:
  Constant Field Values

Method Detail

### getMessageExchangeId

    java.lang.String getMessageExchangeId()

  Instance id of the message exchange.

  Returns:
    message exchange id.

### getInvocationStyle

    InvocationStyle getInvocationStyle()

  Get the invocation style.

  Returns:

### setInvocationStyle

    void setInvocationStyle(InvocationStyle invocationStyle)

  Set the invocation style.

  Parameters:
    `invocationStyle` -

### getResponse

    MessageDAO getResponse()

  Get output message (could be fault message)

  Returns:
    output message DAO

### getCreateTime

    java.util.Date getCreateTime()

  Creation time of the message exchange

  Returns:
    create time

### getRequest

    MessageDAO getRequest()

  Get the input message.

  Returns:
    input message DAO

### getOperation

    java.lang.String getOperation()

  Get the operation name of this message exchange.

  Returns:
    operation name.

### getPortType

    javax.xml.namespace.QName getPortType()

  The qualified name of the WSDL port type.

  Returns:
    port type name

### setPortType

    void setPortType(javax.xml.namespace.QName porttype)

  Set the port type.

  Parameters:
    `porttype` - port type

### setStatus

    void setStatus(MessageExchange.Status status)

  Set state of last message sent/received.

  Parameters:
    `status` - state to be set

### getStatus

    MessageExchange.Status getStatus()

  Get state of last message sent/received.

  Returns:
    the state

### createMessage

    MessageDAO createMessage(javax.xml.namespace.QName type)

  Create a new message associated with this message-exchange

  Parameters:
    `type` - message type
  Returns:
    new `MessageDAO`

### setRequest

    void setRequest(MessageDAO msg)

  Creates an input message DAO.

### setResponse

    void setResponse(MessageDAO msg)

  Creates an output message DAO.

### getPartnerLinkModelId

    int getPartnerLinkModelId()

  Get the model id for the partner link to which this message exchange relates.

  Returns:

### setPartnerLinkModelId

    void setPartnerLinkModelId(int modelId)

  Set the model id for the partner link to which this message exchange relates

  Parameters:
    `modelId` -

### getPartnersKey

    java.lang.String getPartnersKey()

  Get the the partner's identifier for this message exchange. Generally, the partner will have a different identifier for each exchange. This key is used in sistuations when the partner needs to find the mex, but only has their own identifier.

  Returns:
    correlation identifier

### setPartnersKey

    void setPartnersKey(java.lang.String correlationId)

  Set the correlation identifier/client id

  Parameters:
    `correlationId` - identifier

### setPattern

    void setPattern(MessageExchange.MessageExchangePattern pattern)

### setOperation

    void setOperation(java.lang.String opname)

### setEPR

    void setEPR(org.w3c.dom.Element epr)

### getEPR

    org.w3c.dom.Element getEPR()

### getPattern

    MessageExchange.MessageExchangePattern getPattern()

### getChannel

    java.lang.String getChannel()

  Get the response channel.

  Returns:
    response channel.

### setChannel

    void setChannel(java.lang.String string)

  Set the response channel.

  Parameters:
    `string` - response channel

### getFault

    javax.xml.namespace.QName getFault()

### setFault

    void setFault(javax.xml.namespace.QName faultType)

### getFaultExplanation

    java.lang.String getFaultExplanation()

### setFaultExplanation

    void setFaultExplanation(java.lang.String explanation)

### setCorrelationStatus

    void setCorrelationStatus(java.lang.String cstatus)

### getCorrelationStatus

    java.lang.String getCorrelationStatus()

### getProcess

    ProcessDAO getProcess()

  Get the process associate with this message exchange. The process should always be available for partnerRole message exchanges. However, for myRole message exchanges, it is possible that no process is associated with the message exchange (i.e. if the EPR routing fails).

  Returns:
    process associated with the message exchange

### setProcess

    void setProcess(ProcessDAO process)

### setInstance

    void setInstance(ProcessInstanceDAO dao)

### getInstance

    ProcessInstanceDAO getInstance()

### getDirection

    char getDirection()

  Get the direction of the message exchange.

  Returns:

### getCallee

    javax.xml.namespace.QName getCallee()

  Get the "callee"--the id of the service being invoked in a myRole exchange.

  Returns:

### setCallee

    void setCallee(javax.xml.namespace.QName callee)

  Set the "callee"--the id of the service being invoked in a myRole exchange.

  Parameters:
    `callee` -

### getProperty

    java.lang.String getProperty(java.lang.String key)

### setProperty

    void setProperty(java.lang.String key,
                     java.lang.String value)

### getPropertyNames

    java.util.Set<java.lang.String> getPropertyNames()

### setPartnerLink

    void setPartnerLink(PartnerLinkDAO plinkDAO)

### getPartnerLink

    PartnerLinkDAO getPartnerLink()

### getPipedMessageExchangeId

    java.lang.String getPipedMessageExchangeId()

  Gets the message exchange that has been piped with this one in a process to process interaction.

  Returns:
    other side of the message pipe

### setPipedMessageExchangeId

    void setPipedMessageExchangeId(java.lang.String pipedMexId)

### release

    void release(boolean doClean)

### setFailureType

    void setFailureType(MessageExchange.FailureType failureType)

### getFailureType

    MessageExchange.FailureType getFailureType()

### getTimeout

    long getTimeout()

### setTimeout

    void setTimeout(long timeout)

### setAckType

    void setAckType(MessageExchange.AckType ackType)

### getAckType

    MessageExchange.AckType getAckType()

### getPipedPID

    javax.xml.namespace.QName getPipedPID()

### setPipedPID

    void setPipedPID(javax.xml.namespace.QName pipedPid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD